Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.expr.saxpath
Class SaxPath

    java.lang.Object
      com.servingxml.expr.saxpath.SaxPath

    public class SaxPath

extends java.lang.Object

Constructor Summary
`SaxPath(MutableNameTable nameTable, java.lang.String namespaceUri, java.lang.String localName, java.lang.String qname, org.xml.sax.Attributes atts)`
`SaxPath(java.lang.String namespaceUri, java.lang.String localName, java.lang.String qname, org.xml.sax.Attributes atts, SaxPath parent)`

Method Summary
`org.xml.sax.Attributes` | `getAttributes()`
`int` | `getElementNameSymbol()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceUri()`
`MutableNameTable` | `getNameTable()`
`SaxPath` | `getParent()`
`com.servingxml.expr.saxpath.SaxPath.PathContext` | `getPathContext()`
`int` | `getPosition()`
`java.lang.String` | `getQname()`
`boolean` | `isMatched()`
`void` | `matchAbsolutePath(Record parameters, PathEntry tail)`
`boolean` | `matchAttribute(java.lang.String namespaceUri, java.lang.String localName)`
`void` | `matchRelativePath(Record parameters, PathEntry tail)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaxPath

    public SaxPath(MutableNameTable nameTable,
                   java.lang.String namespaceUri,
                   java.lang.String localName,
                   java.lang.String qname,
                   org.xml.sax.Attributes atts)

### SaxPath

    public SaxPath(java.lang.String namespaceUri,
                   java.lang.String localName,
                   java.lang.String qname,
                   org.xml.sax.Attributes atts,
                   SaxPath parent)

Method Detail

### getLocalName

    public java.lang.String getLocalName()

### getNamespaceUri

    public java.lang.String getNamespaceUri()

### getQname

    public java.lang.String getQname()

### getPathContext

    public com.servingxml.expr.saxpath.SaxPath.PathContext getPathContext()

### getPosition

    public int getPosition()

### getElementNameSymbol

    public int getElementNameSymbol()

### getNameTable

    public MutableNameTable getNameTable()

### getAttributes

    public org.xml.sax.Attributes getAttributes()

### getParent

    public SaxPath getParent()

### matchAttribute

    public boolean matchAttribute(java.lang.String namespaceUri,
                                  java.lang.String localName)

### matchRelativePath

    public void matchRelativePath(Record parameters,
                                  PathEntry tail)

### matchAbsolutePath

    public void matchAbsolutePath(Record parameters,
                                  PathEntry tail)

### isMatched

    public boolean isMatched()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD